Bug 354471 - smolt crashes
smolt crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 13:17 EDT by Trevor Cordes
Modified: 2008-06-02 14:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 14:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2007-10-26 13:17:44 EDT
Description of problem:
smolt doesn't work at all on a box I recently upgraded from FC5.


Version-Release number of selected component (if applicable):
smolt-0.9.8.4-4.fc7
smolt-gui-0.9.8.4-4.fc7


How reproducible:
always

Steps to Reproduce:
1. yum install smolt smolt-gui
2. smolt-gui
3. or smoltSendProfile -p
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 106, in <module>
    profile = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 270, in __init__
    mgr = self.dbus_get_interface(systemBus, 'org.freedesktop.Hal',
'/org/freedesktop/Hal/Manager', 'org.freedesktop.Hal.Manager')
  File "/usr/share/smolt/client/smolt.py", line 288, in dbus_get_interface
    proxy = bus.get_object(service, object)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 226, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 165, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 261, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 598, in
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The
name org.freedesktop.Hal was not provided by any .service files
Exit 1


Expected results:
smolt should do its thing

Additional info:
chkconfig'd smolt to on and service started it.  Gui reports same error.  I know
nothing about python but checked that the modules hinted at in the errors were
installed:
dbus-python-0.81.1-1.fc7
pyxdg-0.15-5.fc7
Comment 1 Trevor Cordes 2007-11-16 10:46:59 EST
I just upgraded F7 to F8 and smolt now works fine.  This bug does not occur. 
Not sure if it will still bite people in F7.  See if anyone else from F7 bites.
Comment 2 Bug Zapper 2008-05-14 10:52:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Trevor Cordes 2008-05-21 04:37:01 EDT
Closed this bug as fixed.
Comment 4 Peter van Egdom 2008-06-02 14:11:43 EDT
Thank you for the bug report. Closing bug as per comment #3.

Note You need to log in before you can comment on or make changes to this bug.